<!DOCTYPE html>
<html lang="en">
<head>
  <%- include('../partials/head.ejs'); -%>
</head>
<body>
<div class="container bg-3">

  <%- include('../partials/header.ejs'); -%>
  <div class="row text-right">
    &nbsp;
  </div>
  <div class="row main-container">
        <div class="row">
          <div class="col-sm-6 col-sm-offset-3">
            <div class="row">
              <div class="col-sm-12">
                <% if(error){ %>
                  <div class="alert alert-danger"><%= error %></div>
              <% } %>
              </div>
            </div>
          </div><!--/col-sm-6-->
        </div><!--/row-->
        <% if(clinic == "Clinic not found"){ %>
            <h4>Clinic not found.</h4>
        <% }else{ %>
        <div class="mt-2" style="background-color: rgb(255, 255, 255)">
          <div class="row">
            <div class="detailsNav">
              <ul class="nav nav-tabs">
                <li class="active"><a data-toggle="tab" href="#general">General</a></li>
              </ul>
              <div class="tab-content">
                  <div id="general" class="tab-pane fade in active">
                    <div class="generalDetails margintop-10px">
                      <div class="col col-md-6">

                        <div class="alert alert-success successCreateClinic" style="display:none"> </div>
                        <div class="alert alert-danger errorCreateClinic" style="display:none"> </div>

                        <form id="updateClinic" class="updateForm" action="/clinics/update" data-id="<%=clinic._id%>" method="POST">
                          <div class="form-group col-md-12">
                             <span for="title" class="col-md-6">Clinic Name</span>
                             <input type="text" class="input-lg formControlCss col-md-6" name="title" id="title" placeholder="Clinic Name" value="<%= clinic.title %>">
                           </div>
                          <div class="form-group col-md-12">
                             <span for="DRChronoID" class="col-md-6">DR Chrono ID</span>
                             <input type="text" class="input-lg formControlCss col-md-6" name="DRChronoID" id="DRChronoID" placeholder="DR Chrono ID" value="<%= clinic.DRChronoID %>">
                           </div>
                          <div class="form-group col-md-12">
                             <span for="contact" class="col-md-6">Contact #</span>
                             <input type="text" class="input-lg formControlCss col-md-6" name="contact" id="contact" placeholder="Contact" value="<%= clinic.contact %>">
                           </div>
                          <div class="form-group col-md-12">
                             <span for="contactEmail" class="col-md-6">Contact Email</span>
                             <input type="text" class="input-lg formControlCss col-md-6" name="contactEmail" id="contactEmail" placeholder="Contact Email" value="<%= clinic.contactEmail %>">
                           </div>
                           <div class="form-group col-md-12">
                             <span for="address" class="col-md-6">Clinic Address</span>
                             <input type="text" class="input-lg formControlCss col-md-6" name="address" id="address" placeholder="Clinic Address" value="<%= clinic.address %>">
                           </div>
                         </form>
                         <div class="col-md-12 text-right">
                           <button  class="btn" id="updateClinicButton">Update Clinic</button>
                         </div>
                      </div>

                      <div class="table-responsive mt-5 col-md-12" style="margin-top:10px">
                        <table class="table table-bordered table-striped table-hover users-table mb-2">
                          <thead>
                            <tr>
                              <th>DR Chrono ID</th>
                              <th>Doctor Name</th>
                              <th>Email</th>
                              <th>Field</th>
                            </tr>
                          </thead>
                          <tbody>
                            <% doctors.forEach(function(doctor, doctorIndex){  %>
                            <tr>
                                <td><%= doctor.doctorID %></td>
                                <td><%= doctor.first_name %> <%= doctor.last_name %> </td>
                                <td><%= doctor.email %></td>
                                <td><%= doctor.specialty %></td>
                            </tr>
                            <% }) %>
                          </tbody>
                        </table>
                      </div>

                    </div>
                  </div>
                </div>
            </div>

          </div>
        </div>
    <% } %>
  </div>
</div>

<%- include('../partials/footer.ejs'); -%>
<script>
      $(document).ready(function() {
        $(".users-table").DataTable({
          "aaSorting": [],
          "columnDefs": [ {
            "targets": 'no-sort',
            "orderable": false,
          } ]
        });
        // Create form submit when click on button
        $('#updateClinicButton').click(function() {
          $('#updateClinic').submit()
        });


        // update form submit
        $('#updateClinic').submit(function(e) {
            e.preventDefault();
            let clinicID = $(this).data('id')
            var title = $('#title').val();
            var address = $('#address').val();
            var contactEmail = $('#contactEmail').val();

            if(title == ""){
              $('.errorCreateClinic').show()
              $('.errorCreateClinic').html("Clinic name is required")
              setTimeout(function(){ $('.errorCreateClinic').hide() }, 3000)
              return false
            }
            if(address == ""){
              $('.errorCreateClinic').show()
              $('.errorCreateClinic').html("Clinic address is required")
              setTimeout(function(){ $('.errorCreateClinic').hide() }, 3000)
              return false
            }
            const re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
            if(contactEmail != "" && !re.test(contactEmail)){
              $('.errorCreateClinic').show()
              $('.errorCreateClinic').html("Please enter a valid contact email.")
              setTimeout(function(){ $('.errorCreateClinic').hide() }, 3000)
              return false
            }

            $(this).ajaxSubmit({
                url: "/clinics/update",
                type: "POST",
                data: {clinicID:clinicID},
                error: function(xhr) {
                  $('.errorCreateClinic').show()
                  $('.errorCreateClinic').html(xhr.responseJSON.message)
                  setTimeout(function(){ $('.errorCreateClinic').hide() }, 3000);
                },
                success: function(response) {
                    if(response.status == "error"){
                      $('.errorCreateClinic').show()
                      $('.errorCreateClinic').html(response.message)
                      setTimeout(function(){ $('.errorCreateClinic').hide() }, 3000);
                    }else{
                      $('.successCreateClinic').show()
                      $('.successCreateClinic').html(response.message)
                      setTimeout(function(){ $('.successCreateClinic').hide() }, 3000);
                    }
                }
            });
            //Very important line, it disable the page refresh.
            return false;
        });


      });
</script>
</body>
</html>
